Client portal

  • Heartbleed Vulnerability

    April 14, 2014 by Stuart Robinson
  • All Pathfinder-uk servers have been patched to fix this bug and we have regenerated our SSL certificates to protect our customers further.

    You should change any passwords you have on any systems affected AND patched. Please check all 3rd party sites for any information as to their status on this bug.

Powered by